apiVersion: v1
kind: ConfigMap
metadata:
  name: ob-server-settings
  namespace: observe
data:
  settings.yaml: |
    settings:
      application:
        mode: dev
        host: 0.0.0.0
        name: testApp
        port: 8000 # 服务端口号
        readtimeout: 1
        writertimeout: 2
        enabledp: false
      logger:
        path: temp/logs
        stdout: '' #控制台日志，启用后，不输出到文件
        level: trace
        enableddb: false
      jwt:
        secret: go-admin
        timeout: 3600
      database:
        driver: mysql
        source: root:pg3mfWRtYonekZWB@tcp(mysql.observe.svc.cluster.local:3306)/observe?charset=utf8&parseTime=True&loc=Local&timeout=1000ms
      gen:
        dbname: dbname
        frontpath: ../go-admin-ui/src
      extend: # 扩展项使用说明
        demo:
          name: data
      cache:
        memory: '' 
      queue:
        memory:
          poolSize: 100
      locker:
        redis:
      extend: # 扩展配置
        olapdb:
          driver: clickhouse
          addr: clickhouse.observe.svc.cluster.local:9000
          debug: true
          database: otel
          username: default
          password: cecf@cestong.com
          maxOpenConns: 10
          maxIdleConns: 5
